<ui-view/>
<div class="grid">
  	<header class="row clearfix no-padding">
  		<div class="col-2-3">
  			<h2>Administrera fakturering</h2>
  		</div>
  	</header>
  	<div class="row clearfix">
		<div svab-feedback-target="admin.invoice.get"></div>
		<a ui-sref-active="active-link" ui-sref="user.administration.main">Tillbaka</a><br/>
	</div>
  	<div class="row clearfix">
  		<div class="col-1">
			<ul class="col-1 regular-list">
				<li ng-show="invoiceStatus.running">
					<strong class="list-title">Fakturering startad</strong>
				</li>
				<li>
					<strong class="list-title">Nya abonnemang klara för fakturering: </strong>
					<span class="list-value"> {{invoiceStatus.newSubscriptions.length}}</span><br/>
					<span class="list-value"><a ng-show="invoiceStatus.newSubscriptions.length > 0" ui-sref-active="active-link" ui-sref="user.administration.invoicing.newInvoices">Granska</a></span>
				</li>
				<li>
					<strong class="list-title">Abonnemang klara för förnyelsefakturering</strong>
					<span class="list-value">{{invoiceStatus.renewSubscriptions.length}}</span><br/>
					<span class="list-value"><a ng-show="invoiceStatus.renewSubscriptions.length > 0" ui-sref-active="active-link" ui-sref="user.administration.invoicing.renewalInvoices">Granska</a></span>
				</li>
				<form novalidate ng-show="!invoiceStatus.running && (invoiceStatus.newSubscriptions.length > 0 || invoiceStatus.renewSubscriptions.length > 0)">
					<div svab-feedback-target="admin.invoice.batch"></div>
					<button ng-click="startInvoiceBatch()">Starta fakturering</button>
				</form>
				<li>
					<strong class="list-title">Abonnemang märkta för förnyelse</strong>
					<span class="list-value">{{invoiceStatus.markedSubscriptions.length}}</span><br/>
					<span class="list-value"><a ng-show="invoiceStatus.markedSubscriptions.length > 0" ui-sref-active="active-link" ui-sref="user.administration.invoicing.renewalReview">Granska</a></span>
				</li>
				<li>
					<strong class="list-title">Schemalagd kontroll av förnyelser kördes senast: </strong>
					<span ng-hide="timer && timer.lastTimeout" class="list-value">Ingen uppgift</span>
					<span ng-show="timer && timer.lastTimeout" class="list-value">{{timer.lastTimeout | date:'yyyy-MM-dd, hh:mm:ss'}}</span>
				</li>
				<li>
					<strong class="list-title">Nästa schemalagda kontroll av förnyelser körs: </strong>
					<span ng-hide="timer" class="list-value">Ej schemalagd</span>
					<span ng-show="timer" class="list-value">{{timer.nextTimeout | date:'yyyy-MM-dd, hh:mm:ss'}}</span><br/>
				</li>
				<li>
					<strong class="list-title">Manuell kontroll av förnyelser kördes senast: </strong>
					<span ng-hide="invoiceStatus.lastManualCheck" class="list-value">Ingen uppgift</span>
					<span ng-show="invoiceStatus.lastManualCheck" class="list-value">{{invoiceStatus.lastManualCheck | date:'yyyy-MM-dd, hh:mm:ss'}}</span>
				</li>
				<li>
					<form novalidate>
						<button ng-click="checkInvoiceForRenewal()">Kör kontroll nu</button>
					</form>
				</li>
			</ul>
		</div>
	</div>
</div>
<div ui-view="invoicingContent"></div>